curl --request GET \
--url https://app.kosli.com/api/v2/search/{org}/sha/{search_value} \
--header 'Authorization: Bearer <token>'{
"artifacts": [
{
"fingerprint": "<string>",
"name": "<string>",
"has_provenance": true,
"git_commit": "<string>",
"pipeline": "<string>",
"flow": "<string>",
"trail": "<string>",
"template_reference_name": "<string>",
"build_url": "<string>",
"commit_url": "<string>",
"compliance_state": "<string>",
"running_in": [
"<string>"
],
"exited_from": [
"<string>"
],
"html_url": "<string>",
"api_url": "<string>",
"history": [
"<unknown>"
]
}
],
"resolved_to": {
"type": "<string>",
"full_match": "<string>",
"fingerprints": {
"type": "<string>",
"count": 123,
"matches": [
"1084c799cd551dd1d8d5c5f9a5d593b2e931f5e36122ee5c793c1d08a19839cc"
]
},
"commits": {
"type": "<string>",
"count": 123,
"matches": [
"e0ad84e1a2464a9486e777c1ecde162edff930a9"
]
}
}
}Get artifacts that match fingerprint or commit-sha.
curl --request GET \
--url https://app.kosli.com/api/v2/search/{org}/sha/{search_value} \
--header 'Authorization: Bearer <token>'{
"artifacts": [
{
"fingerprint": "<string>",
"name": "<string>",
"has_provenance": true,
"git_commit": "<string>",
"pipeline": "<string>",
"flow": "<string>",
"trail": "<string>",
"template_reference_name": "<string>",
"build_url": "<string>",
"commit_url": "<string>",
"compliance_state": "<string>",
"running_in": [
"<string>"
],
"exited_from": [
"<string>"
],
"html_url": "<string>",
"api_url": "<string>",
"history": [
"<unknown>"
]
}
],
"resolved_to": {
"type": "<string>",
"full_match": "<string>",
"fingerprints": {
"type": "<string>",
"count": 123,
"matches": [
"1084c799cd551dd1d8d5c5f9a5d593b2e931f5e36122ee5c793c1d08a19839cc"
]
},
"commits": {
"type": "<string>",
"count": 123,
"matches": [
"e0ad84e1a2464a9486e777c1ecde162edff930a9"
]
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?